Printago API
POST /v1/customizer/fonts/store-google

Add Google font to store pool

Pin a Google Font family to the store's curated pool. Idempotent — if the family is already pinned, the existing row is returned.

Requires: customizer.manage

Request Body

StoreGoogleFontAddBody
familyrequired
string
Google Font family name to pin to the store pool (e.g. "Roboto").

Example Request

application/json
{
  "family": "string"
}

Response Schema

StoreGoogleFont
createdAtrequired
string
format: date-time
familyrequired
string
Google Font family name (e.g. "Roboto").
idrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "family": "string",
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:55.345Z",
  "updatedAt": "2026-08-24T03:58:55.345Z"
}